<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="./../../bower_components/iron-ajax/iron-ajax.html">

<dom-module id="pokemon-dp">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    
    <iron-ajax
         id="provider"
         url="[[_url]]"
         handle-as="json"
         last-response="{{result}}"></iron-ajax>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class PokemonDp extends Polymer.Element {
      static get is() { return 'pokemon-dp'; }
      static get properties() {
        return {
          _url:{
            type: String,
            notify: true
          },
          result: {
            type: Object,
            notify: true
          }
        };
      }
      getList(){
        this.set('_url', "https://pokeapi.co/api/v2/pokemon/");
        //this.set('_url', "http://localhost:3000/pokemons");
        this.$.provider.generateRequest();
      }
      getDetail(u){
        this.set('_url', u);
        this.$.provider.generateRequest();
      }
    }

    window.customElements.define(PokemonDp.is, PokemonDp);
  </script>
</dom-module>
